{% extends 'utilisateur.html' %}
{% load static %}

{% block title %}
    Utilisateurs
{% endblock %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/user-profiles-list-basic.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block footer_javascript %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>
    <script src="{% static 'utilisateur/js/userSearch.js' %}?v=1"></script>
    <script>
        $('.switch').click(function () {
            $(this).find('i').toggleClass("fa-angle-right fa-angle-down");
        });
        $('#searchbar').on('input', (e) => {
            search(e.target.value.toLowerCase())
        });
    </script>
{% endblock %}

{% block content %}
    <header>
        <h1>Utilisateurs</h1>
    </header>

    <div class="card">
        <div class="card-body">
            <input id="searchbar" name="searchbar" class="form-control"
                   type="text" placeholder="Rechercher un utilisateur..."/>
            <ul id="searchbar-results" class="user-profiles-list-basic"></ul>

        </div>
    </div>

    <div class="card">
        <div class="card-body">
            {% regroup users by groups.first as groups_list %}
            {% for group in groups_list %}
                <a class="switch" data-toggle="collapse"
                   data-target="#{{ group.grouper }}"><i
                        class="fas fa-angle-right"></i> {{ group.grouper }}
                    ({{ group.list|length }})</a>
                <hr>
                <div id="{{ group.grouper }}"
                     class="collapse">
                    <ul class="user-profiles-list-basic">
                        {% for user in group.list %}
                            <li class="user-card">
                                <a href="{% url "photo_utilisateur" user.id %}"
                                   class="user-avatar">
                                    <img src="{% url "photo_utilisateur" user.id %}"
                                         width="80" alt="Profile picture"/>
                                </a>

                                <p class="user-info">
                                    <a href="{% url 'public_profile' uuid=user.id %}"
                                       class="user-fullName">{{ user.nomComplet }}</a>
                                    <span>
                                        <strong class="user-username">{{ user.username }}</strong>
                                        <strong class="user-statutCA">
                                            {% for p in user.postesCA.all %}
                                                {% if p.current %}
                                                     · {{ p.statut }}
                                                {% endif %}
                                            {% endfor %}
                                        </strong>
                                    </span>
                                    <span>Vu le <i>{{ user.last_login }}</i></span>
                                </p>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}